summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNikos Mavrogiannopoulos <nmav@redhat.com>2016-04-04 16:09:48 +0200
committerNikos Mavrogiannopoulos <nmav@redhat.com>2016-04-04 16:09:48 +0200
commitfda8ab9e2c943247081ab27e9de7abc2b5d4dbf5 (patch)
tree8210e2c43207e93f7f053f90434c21ac6fe31285
parent2f0f6466ba2a1c8c84c1adfe7e059298d338a9db (diff)
downloadlibtasn1-fda8ab9e2c943247081ab27e9de7abc2b5d4dbf5.tar.gz
tests: added missing decoding-inf
-rwxr-xr-xtests/decoding-inf34
1 files changed, 34 insertions, 0 deletions
diff --git a/tests/decoding-inf b/tests/decoding-inf
new file mode 100755
index 0000000..d3d4bee
--- /dev/null
+++ b/tests/decoding-inf
@@ -0,0 +1,34 @@
+#!/bin/sh
+
+# Copyright (C) 2016 Free Software Foundation, Inc.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+if ! test -z "${VALGRIND}";then
+VALGRIND="${LIBTOOL:-libtool} --mode=execute ${VALGRIND} --error-exitcode=7 --leak-check=no"
+fi
+
+ASN1DECODING="${ASN1DECODING:-../src/asn1Decoding$EXEEXT}"
+ASN1PKIX="${ASN1PKIX:-pkix.asn}"
+
+# This tests an invalid input which caused an infinite recursion
+# to certain libtasn1 versions.
+
+$VALGRIND $ASN1DECODING -ds $ASN1PKIX invalidPKIX.der PKIX1.Certificate
+if test $? != 1;then
+ echo "Decoding failed"
+ exit 1
+fi
+
+exit 0